xpressmeの一部修正

XOOPSに組み込んでいるWordPressモジュールであるXpressMeで、エラーが出てしまった。最新版なのに。

Fatal error: Call-time pass-by-reference has been removed in

で、調べてみると、PHP5.4以降で出てしまう可能性があるらしい。

で、modules/xpress/include/の、xpress_blocks_render.phpの37、39行目とxpress_blocks_header.phpの38、40行目で、参照渡しを意味する&を削除しました。

スポンサーリンク
レクタングル大
レクタングル大

シェアする

  • このエントリーをはてなブックマークに追加

フォローする